direct <- function(X, y, basis, n, ni) {
  po <- dim(X[[1]])[1]
  dg <- dim(basis[[1]])[1]
  
  lh = sum(ni)
  e1 = 0.001
  
  vecY <- NULL
  for (i in 1:n) vecY = c(vecY, y[[i]])
  vecY <- as.matrix(vecY)
  
  XB <- matrix(0, nrow=lh, ncol=po*dg)
  tag = 1
  for (i in 1:n) {
    X[[i]] = t(X[[i]])
    basis[[i]] = t(basis[[i]])
    for (j in 1:(ni[i])) {
      XB[tag,] = kronecker(X[[i]][j,], basis[[i]][j,])
      tag = tag + 1
    }
  }
  
  mtx <- t(XB) %*% XB
  if (sum(svd(mtx)$d < 10^(-12))) mtx <- mtx + diag(e1, dim(mtx)[1])
  
  gamma <- t(matrix(solve(mtx) %*% t(XB) %*% vecY, nrow=dg, ncol=po))
}
