## select the "topNumber" variables with highest "betaScore"
## "betaScore" is the return of "betaScore" function
## "n" is the sample size
## return the index the those variables

selection <- function(betaScore, n, topNumber=1){
  topList <- sort(betaScore, decreasing=T)[1:topNumber]
  indRd <- rep(0, topNumber)
  flag = 1
  for (i in 1:length(betaScore)) {
    if (is.element(betaScore[i], topList)) {
      indRd[flag] = i
      flag = flag + 1
    }
  }

  indRd
}